## indi-armadillo-platypus 1.0%2B20221226082641

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
PROJECT(indi_lunatico CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

SET(CMAKE_CXX_STANDARD 11)
SET(RULES_INSTALL_DIR "/lib/udev/rules.d/")

find_package(INDI REQUIRED)

set (LUNATICO_VERSION_MAJOR 2)
set (LUNATICO_VERSION_MINOR 1)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_lunatico.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_lunatico.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})

include(CMakeCommon)

########### Lunatico Seletek Rotator ###########
set(seletekrotator_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/seletek_rotator.cpp
   )

add_executable(indi_seletek_rotator ${seletekrotator_SRCS})
target_link_libraries(indi_seletek_rotator ${INDI_LIBRARIES} )
install(TARGETS indi_seletek_rotator RUNTIME DESTINATION bin )

########### Lunatico DragonFly Dome ###########
set(dragonfly_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/dragonfly_dome.cpp
   )

add_executable(indi_dragonfly_dome ${dragonfly_SRCS})
target_link_libraries(indi_dragonfly_dome ${INDI_LIBRARIES} )
install(TARGETS indi_dragonfly_dome RUNTIME DESTINATION bin )

########### Beaver Dome ###########
set(beaver_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/beaver_dome.cpp
   )

add_executable(indi_beaver_dome ${beaver_SRCS})
target_link_libraries(indi_beaver_dome ${INDI_LIBRARIES} )
install(TARGETS indi_beaver_dome RUNTIME DESTINATION bin )

########### Lunatico Seletek Armadillo & Platypus ###########
set(indiarmadillofocuser_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/armadillo_focuser.cpp
   )

set(indiplatypusfocuser_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/platypus_focuser.cpp
   )

add_executable(indi_armadillo_focus ${indiarmadillofocuser_SRCS})
add_executable(indi_platypus_focus ${indiplatypusfocuser_SRCS})

target_link_libraries(indi_armadillo_focus ${INDI_LIBRARIES} )
target_link_libraries(indi_platypus_focus ${INDI_LIBRARIES} )

install(TARGETS indi_armadillo_focus RUNTIME DESTINATION bin )
install(TARGETS indi_platypus_focus RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_lunatico.xml DESTINATION ${INDI_DATA_DIR})

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(FILES 99-armadilloplatypus.rules DESTINATION ${RULES_INSTALL_DIR})
endif()

=== debian/changelog ===
indi-armadillo-platypus (1.0+20221226082641-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113009)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:16:59 +0200

indi-armadillo-platypus (1.0+20221226082641-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058851)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream metadata
  * add CMakelists-UDEVRULES_INSTALL_DIR.patch
    Thanks to Chris Hofstaedtler for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Dec 2023 18:50:02 +0100

indi-armadillo-platypus (1.0+20221226082641-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 26 Dec 2022 08:27:56 +0000

indi-armadillo-platypus (1.0+20220610100839-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:08:49 +0000

indi-armadillo-platypus (1.0+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 18:51:15 +0000

indi-armadillo-platypus (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 23:30:07 +0100

indi-armadillo-platypus (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Dec 2021 18:30:07 +0100

## indi-armadillo-platypus 1.0+20221226082641

=== debian/control ===
Source: indi-armadillo-platypus
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, pkgconf
	, systemd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-armadillo-platypus
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-armadillo-platypus.git

Package: indi-armadillo-platypus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Lunatico Astronomia Armadillo and Platypus
 This package contains the INDI driver for Armadillo and Playtypus
 from Lunatico Astronomia.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
